document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');
  
  mobileMenu?.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Sample data - replace with actual API call
  const sampleData = [
    {
      date: '2023-11-01 08:30',
      machine: 'Mill 1',
      duration: 45,
      type: 'Mechanical',
      description: 'Bearing replacement required'
    },
    {
      date: '2023-11-01 12:15',
      machine: 'Mill 2',
      duration: 30,
      type: 'Electrical',
      description: 'Power fluctuation detected'
    },
    // Add more sample data as needed
  ];

  // Populate table with data
  function populateTable(data) {
    const tableBody = document.getElementById('interruption-data');
    tableBody.innerHTML = '';

    data.forEach(row => {
      const tr = document.createElement('tr');
      tr.innerHTML = `
        <td>${row.date}</td>
        <td>${row.machine}</td>
        <td>${row.duration} min</td>
        <td>${row.type}</td>
        <td>${row.description}</td>
      `;
      tableBody.appendChild(tr);
    });
  }

  // Filter functionality
  const applyFilters = document.getElementById('apply-filters');
  applyFilters?.addEventListener('click', () => {
    const duration = parseInt(document.getElementById('duration').value) || 0;
    const machine = document.getElementById('machine').value;

    const filteredData = sampleData.filter(row => {
      return (row.duration >= duration) && 
             (machine === 'all' || row.machine.toLowerCase() === machine);
    });

    populateTable(filteredData);
  });

  // Initial table population
  populateTable(sampleData);
});
